/* .popup-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    display: none;
} */
.popup-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    display: none;
}

.popup-box {
    background-color: #ffffff;
    padding: 20px 20px 0px 20px;
    border-radius: 12px;
    width: 100%;
    max-width: 820px;
    text-align: center;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    max-height: 85vh; /* Prevents overflow by restricting height */
    overflow: hidden; /* Prevents scrolling */
}

/* Popup Image Styling */
.popup-image {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: end;
    width: 40%;
    height: 100%;
    right: 20px;
}


.free-delivery {
    color: #53B175;
}

/* .popup-box {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 12px;
    width: 100%;
    max-width: 800px;
    text-align: center;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    max-height: 100vh;
    overflow-y: auto;
} */

.close-btn {
    position: absolute;
    z-index: 500;
    top: 15px;
    right: 15px;
    width: 42px;
    height: 42px;
    background-color: transparent;
    border: none;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
    color: #333;
}

.close-btn:hover {
    color: #53B175;
}

.popup-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    /* width: 800px; */
}
.delivery{
    display:flex;
    gap:10px;
    align-items: center;
}
.delivery-fee{
    font-size: 50px;
    font-weight: bolder;
    color: #53B175;
    margin-bottom: 0;
    margin-top: 0px;
}
.delivery-off{
text-decoration: line-through;
font-size: 28px;
color:#7b7c7c;
font-weight: 600;
}


.popup-text {
    width: 60%;
    text-align: left;
    /* padding:20px; */

    /* padding-right: 20px; */
    margin-left: 25px;
}

.offer-heading {
    font-family: Helvetica;
    font-size: 42px;
    font-weight: 550;
    color: #253D4E;
    margin-bottom: 20px;
    /* margin-top: 30px; */
}

.offer-description {
    font-family: Helvetica;
    font-size: 20px;
    color: black;
    /* margin-bottom: 20; */
    font-weight: 400;
}

.offer-badge {
    /* background-color:  #53B175; */
    color: #FD6020;
    font-size: 14px;
    font-weight: 600;
    /* padding: 8px 15px; */
    /* border-radius: 5px; */
    /* display: inline-block; */
    margin-bottom: 10px;
    margin-top:20px
    /* margin-top: 40px; */
}

.timer {
    font-size: 50px;
    font-weight: bolder;
    color: #53B175;
    margin-bottom: 0;
    display: flex;
    margin-top: 0px;
}

/* .time-box {
    padding: 10px 15px;
    margin: 0 0px;
    font-size: 32px;
    font-weight: bold;
    border: 2px solid #53B175;
    border-radius: 5px;
    background-color: #fff;
} */

.time-separator {
    font-size: 32px;
    font-weight: bold;
    color: #53B175;
}

.offer-expiry {
    color: #FD6020;
    font-weight: 600;
    font-size: 14px;
    margin-bottom: 40px;
}

.hour{
    background-color: var(--green);
    font-size: 12px;
}

.shop-now-btn {
    background-color: #53B175;
    color: white;
    border: none;
    margin: 0 ;
    padding: 12px 20px;
    font-size: 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.shop-now-btn:hover {
    background-color: #3a975c;
}

.popup-image img {
    /* width: 250px;
    max-width: 600px;
    object-fit: contain; */
    margin-right: 20px;
    height: 500px;
    width:300px;
    margin-right: 20px;

    
}

/* No animation for the popup box, keeping it static */
@keyframes slideIn {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@media (max-width: 875px) {
    /* Adjust popup content for better mobile view */
    .popup-box {
        flex-direction: column;
        text-align: center;
        width: 100%;
        /* max-width: 500px; */
        padding: 15px;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
    }

    .popup-image {
       display: block;
    }

    .popup-text {
        width: 100%;
        padding-left: 0;
    }

    .offer-heading {
        font-size: 24px;
        margin-bottom: 5px;
    }

    .offer-description {
        font-size: 12px;
        width: 350px;
    }

    .delivery-fee{
        font-size: 24px;
    }
    .delivery-off{
        font-size: 16px;
    }

    .timer {
        font-size: 100px;
        width: 50%;
    }

    .shop-now-btn {
        padding: 10px 20px;
        font-size: 16px;
    }
}

@media (max-width: 480px) {
    .popup-box {
        width: 90%;
        padding: 10px;
    }
    .popup-image {
        display: none;
    }
    .offer-heading {
        font-size: 26px;
    }

    .offer-description {
        font-size: 10px;
        width: 270px;
    }

    .timer {
        font-size: 50px;
    }

    /* .time-box {
        padding: 8px 12px;
        font-size: 40px;
    } */

    .time-separator {
        font-size: 28px;
    }

    .shop-now-btn {
        padding: 8px 16px;
        font-size: 14px;
        border-radius: 5px;
    }
}

@media (max-width: 1075px) {
    .offer-badge {
        font-size: 20px;
        padding: 8px 14px;
    }

    .shop-now-btn {
        margin-bottom: 0px;
    }
   

    .timer {
        font-size: 22px;
        margin-bottom: 20px;
        margin-top: 0;
    }

    .time-box {
        padding: 8px 13px;
        margin: 0 5px;
        font-size: 22px;
    }

    .time-separator {
        font-size: 32px;
    }

    .offer-heading {
        font-size: 24px;
        margin-bottom: 18px;
        margin-top: 15px;
    }

    .offer-description {
        font-size: 17px;
        color: black;
        margin-bottom: 0;
        font-weight: 300px;
    }
}

@media (max-width: 768px) {
    .offer-badge {
        font-size: 16px;
        padding: 6px 12px;
        margin-top: 10px;
    }
}

@media (max-width: 480px) {
    .offer-badge {
        font-size: 14px;
        padding: 5px 10px;
        margin-top: 10px;
    }
}



/* Mobile Adjustments for Image */
@media (max-width: 768px) {
    .popup-image {
        margin-top: 0px;
        max-width: 500px;  /* Adjust image size for smaller screens */
        max-height: 500px;
    }
}

@media (max-width: 480px) {
    .popup-image {
        display: none; /* Hide image on very small screens */
    }
}
